Skip to main content

Supported Platforms

Klaviyo

Native integration with events and profile properties

Attentive

SMS and email with creator context

Klaviyo Setup

1

Get your Klaviyo public API key

In Klaviyo, go to Settings → API Keys → Copy your public key (starts with pk_)
2

Enable Shopify Flow templates for consumer co-branding

Turn on these templates in Shopify Flow:
  • CC // Log a customer abandoned cart Klaviyo event
  • CC // Log a custom post-purchase Klaviyo event
  • CC // Log a customer marketing opt-in Klaviyo event
3

Set Klaviyo Track an Event mappings

In each flow template action, set:
  • Event Name (template default)
  • Event Properties: {{getMetaobjectEntry.data}}
  • Customer Properties: creator/collab cc-* payload fields
4

Verify in Klaviyo

Run test journeys and confirm events are received as:
  • Creator Checkout Abandoned
  • Creator Attributed Order
  • Marketing Opt In From Creator

Klaviyo Template Variable Syntax

  • Profile properties: {{ person|lookup:"field-name" }}
  • Event properties: {{ event.property_name }}
  • Nested event properties: {{ event.property.nested_variable }}

Attentive Setup

1

Get your Attentive API credentials

In Attentive, generate credentials for Custom Attributes and Custom Events API access.
2

Enable Shopify Flow templates for consumer co-branding

Turn on these templates in Shopify Flow:
  • CC // Log a customer abandoned cart Klaviyo event
  • CC // Log a custom post-purchase Klaviyo event
  • CC // Log a customer marketing opt-in Klaviyo event
3

Add 2 HTTP requests at the end of each flow

In each flow, after creator-context validation + Get metaobject entry, add:
  1. POST https://api.attentivemobile.com/v1/attributes/custom (set profile attributes)
  2. POST https://api.attentivemobile.com/v1/events/custom (log event)
4

Verify in Attentive

Run test journeys and confirm the 3 events are received:
  • Creator Checkout Abandoned
  • Creator Attributed Order
  • Marketing Opt In From Creator

Request 1: Set Custom Attributes

POST https://api.attentivemobile.com/v1/attributes/custom
{
  "properties": {
    "cc-creator-first-name": "{{getMetaobjectEntry.ccCreatorFirstName}}",
    "cc-creator-last-name": "{{getMetaobjectEntry.ccCreatorLastName}}",
    "cc-creator-profile-picture": "{{getMetaobjectEntry.ccCreatorProfilePicture}}",
    "cc-creator-shop-title": "{{getMetaobjectEntry.ccCreatorShopTitle}}",
    "cc-creator-shop-theme-primary-color": "{{getMetaobjectEntry.ccCreatorShopThemePrimaryColor}}",
    "cc-creator-shop-handle": "{{getMetaobjectEntry.ccCreatorShopHandle}}",
    "cc-collab-affiliate-link": "{{getMetaobjectEntry.ccCollabAffiliateLink}}",
    "cc-collab-discount-amount": "{{getMetaobjectEntry.ccCollabDiscountAmount}}",
    "cc-collab-discount-code": "{{getMetaobjectEntry.ccCollabDiscountCode}}",
    "cc-collab-affiliate-code": "{{getMetaobjectEntry.ccCollabAffiliateCode}}",
    "cc-collab-discount-type": "{{getMetaobjectEntry.ccCollabDiscountType}}",
    "cc-creator-shop-description": "{{getMetaobjectEntry.ccCreatorShopDescription}}"
  },
  "user": {
    "email": "{{customer.email}}"
  }
}

Request 2: Log Custom Event

POST https://api.attentivemobile.com/v1/events/custom Use the event type that matches the flow:
{
  "type": "Creator Checkout Abandoned",
  "properties": {{getMetaobjectEntry.data}},
  "user": {
    "email": "{{customer.email}}"
  }
}
{
  "type": "Marketing Opt In From Creator",
  "properties": {{getMetaobjectEntry.data}},
  "user": {
    "email": "{{customer.email}}"
  }
}
{
  "type": "Creator Attributed Order",
  "properties": {{getMetaobjectEntry.data}},
  "user": {
    "email": "{{customer.email}}"
  }
}

Other Platforms

For platforms without native integration, use:
  1. Webhooks — Forward events via Shopify Flow
  2. API sync — Build custom sync with CC API
  3. Zapier/Make — Connect via automation tools